#!/usr/bin/env bash
set -xeuf -o pipefail

TARGET_ARCH="$(uname -m)"
TARGET_RELEASE='bookworm'
BOOTSTRAP_DIR='/temporary/bootstrap'

if [ "${TARGET_ARCH}" == 'aarch64' ]; then
    TARGET_ARCH='arm64'
elif [ "${TARGET_ARCH}" == 'x86_64' ]; then
    TARGET_ARCH='amd64'
fi
IMAGE_BASE="/temporary/debian-stable-${TARGET_ARCH}-$(TZ='Asia/Kolkata' date +%Y%m%d)"

apt-get update
apt-get install --no-install-recommends --assume-yes \
    debian-archive-keyring \
    debootstrap \
    libguestfs-tools \
    #EOF

mkdir -vp "${BOOTSTRAP_DIR}"
debootstrap --variant=minbase --arch="${TARGET_ARCH}" "${TARGET_RELEASE}" "${BOOTSTRAP_DIR}"

pushd "${BOOTSTRAP_DIR}"
virt-make-fs --type=ext4 --partition=gpt . "${IMAGE_BASE}.raw"
popd
